Handle callback notifications
This endpoint is for handling callback notifications sent by the payment gateway.
| Request Body — REQUIRED | ||||
|---|---|---|---|---|
timestamp string — REQUIREDyyyymmddhhmiss | ||||
reference string — REQUIREDUnique, used for reconciliation | ||||
customerReference stringAdditional field for special purpose, default NULL | ||||
amount number — REQUIREDTransaction amount | ||||
type string — REQUIREDType of transaction, e.g., CHARGE | ||||
merchantAccountId string — REQUIREDMerchant name | ||||
status string — REQUIREDStatus code/message (success/failed) | ||||
customer object — REQUIRED
| ||||
payloadSignature string — REQUIREDFor Integrity validation. Generated by the following formula: SHA256(reference + timestamp + amount + phoneNumber + secret) |
| Responses | ||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
200Webhook processed successfully
| ||||||||||||||
400Bad request, such as invalid input
| ||||||||||||||
401Unauthorized access
| ||||||||||||||
500Internal Server Error
|